View Issue Details

IDProjectCategoryView StatusLast Update
12240Feature requests[All Projects] Survey designpublic2018-04-06 11:48
ReporterjeloAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target Version3.0Fixed in Version3.0 
Summary12240: Validation settings for "array by column" question type
DescriptionCurrently the array by column questiontype offers no validation settings at all.
Only logic setting available is "Randomization group name:". Nothing else.
https://manual.limesurvey.org/Question_type_-_Array_by_column

Seems to be no bug, but a missing feature.
TagsNo tags attached.

Relationships

related to 13288 closedDenisChenu Validation settings for more question type 

Activities

DenisChenu

DenisChenu

2017-04-02 12:13

developer   ~43365

Yes, think we can easily add sub question validation and question validaton here.
DenisChenu

DenisChenu

2017-07-04 00:29

developer   ~44018

Think it's easy in 3.0, add it
DenisChenu

DenisChenu

2017-07-04 00:37

developer   ~44020

jelo : can you send a little survey file with the needed 'subquestion validation' in help ?

Maybe 2 or 3 question (in english)
Mazi

Mazi

2018-01-17 10:19

developer   ~45853

Sample survey needed...
jelo

jelo

2018-01-17 11:02

updater   ~45857

Don't understand the demand for a sample survey. Perhaps I got it wrong.

My wording might be not correct, but the idea of the feature request was to have question-/subquestion-validation across all array-questions available. The codebase might not be ready for that. But there seems to be no logical reason, that you cannot apply a validation to every array-question. The trigger was trying to apply em unique() to array by columm question. Not possible cause the field is not there.

When I look at the manual I see the following situation:

Question type - Array
Whole question validation equation (em_validation_q)

Question type - Array by column
None

Question type - Array dual scale
None

Question type - Array (5 point choice)
None

Question type - Array (10 point choice)
None

Question type - Array (Increase-Same-Decrease)
None

Question type - Array (Numbers)
Whole question validation equation (em_validation_q)
Sub-question validation equation (em_validation_sq)

Question type - Array (Texts)
Whole question validation equation (em_validation_q)
Sub-question validation equation (em_validation_sq)

Question type - Array (Yes-No-Uncertain)
None
DenisChenu

DenisChenu

2018-01-17 11:06

developer   ~45858

Because : it's more easy to import a real situation example ;) .

I can put count(self.NAOK)> 1 for example , but if you have a real situation :
1. I don't have to create a new survey
2. I don't have to put sme string


;)
jelo

jelo

2018-01-17 11:47

updater   ~45861

The example was real. I placed the feature request after having a forum user with a array by column question. Perhaps I have overlooked something? But I wonder where to place EM to ensure that every answer is unique.

20180117.arraybycolumnunique_287834.lss (15,289 bytes)
DenisChenu

DenisChenu

2018-01-17 15:49

developer   ~45868

Thanks jelo :)

:( i think it's easy … but array by column don't have q2subqInfo … why ????

But i use your file for another bug report ;) https://bugs.limesurvey.org/view.php?id=13194 (not related to this one)
ShnoulleT

ShnoulleT

2018-01-19 10:17

reporter   ~45911

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26132
DenisChenu

DenisChenu

2018-01-30 14:57

developer   ~46156

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26267

Related Changesets

LimeSurvey: master ea543a5d

2018-01-19 10:17:05

ShnoulleT


Committer: GitHub Details Diff
New feature 12240: Validation settings for "array by column" question type

New feature : Add em_validation_q to list of choice (dropdown and radio)
Fixed issue : EM expression on other for list dropdown didn't work
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/questionHelper.php Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/othertext.php Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row_other.php Diff File

LimeSurvey: master abef4c6f

2018-01-19 19:01:18

DenisChenu

Details Diff
Merge branch 'master' of https://github.com/LimeSurvey/LimeSurvey.git into master_RC_AuthPlugin
Dev: fix conflict
* 'master' of https://github.com/LimeSurvey/LimeSurvey.git: (84 commits)
Dev: remove deprecated code _GetSessionUserRights Dev: USER_RIGHT_INITIALSUPERADMIN replaced by config Dev: and not used since 2.6lts or before
Fixed issue 13200: LDAP Auth plugin user autocreate broken Dev: just unsubscribe from beforeHasPermission when needed Dev: i hate to find a one line fix after testing, hacking for hours …
Dev: removed special characters from sidemenu
Dev: minimal changes and typo fixing
Dev: translate surveymenuentried
Fixed issue: language error
Fixed issue 13212: missing translation frontend survey
Fixed issue: Emailtemplate reset not working
Fixed issue 13215: Missing string
Fixed issue 13216: missing translation
Updated translation: Catalan by qualitatuvic Updated translation: German by c_schmitz Updated translation: Hungarian by kkd Updated translation: Norwegian (Bokmål) by pmonstad Updated translation: Polish by elissa Updated translation: German (Informal) by c_schmitz Updated translation: Polish (Informal) by elissa
Fixed issue 13193: Unable to update question type (simple selector)
Dev: added a demomode command to not only restore mint status but also install some demo surveys
Fixed issue: Demo rendered unusable with wipe command
New feature 12240: Validation settings for "array by column" question type
Fixed issue 13190 : Remove text or uncheck checkbox automatically not work
Updated translation: Danish by abc99 Updated translation: Georgian by zch5368
Updated translation: German by c_schmitz Updated translation: Hungarian by kkd Updated translation: Japanese by nomoto Updated translation: Norwegian (Bokmål) by pmonstad Updated translation: Romanian by cdorin
Fixed issue: Captcha not showing
Removed translation: Papiamento (Aruba)
...

# Conflicts:
# application/helpers/remotecontrol/remotecontrol_handle.php
add - application/commands/DemomodeCommand.php Diff File
mod - application/commands/WipeCommand.php Diff File
mod - application/commands/console.php Diff File
add - application/config/fonts.php Diff File
mod - application/config/internal.php Diff File
mod - application/config/packages.php Diff File
add - application/config/questiontypes.php Diff File
mod - application/config/third_party.php Diff File
mod - application/config/updater_version.php Diff File
mod - application/config/version.php Diff File
mod - application/controllers/AdminController.php Diff File
mod - application/controllers/SurveyController.php Diff File
mod - application/controllers/admin/PluginHelper.php Diff File
mod - application/controllers/admin/authentication.php Diff File
mod - application/controllers/admin/index.php Diff File
mod - application/controllers/admin/questions.php Diff File
mod - application/controllers/admin/tokens.php Diff File
mod - application/controllers/admin/usergroups.php Diff File
add - application/core/ConsoleHttpSession.php Diff File
add - application/core/LSCaptcha.php Diff File
mod - application/core/LS_Twig_Extension.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
mod - application/core/plugins/AuthLDAP/AuthLDAP.php Diff File
mod - application/extensions/admin/grid/MassiveActionsWidget/assets/listActions.js Diff File
mod - application/extensions/admin/survey/ListSurveysWidget/assets/reload.js Diff File
mod - application/extensions/captchaExtended/CaptchaExtendedAction.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/helpers/questionHelper.php Diff File
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File
mod - application/helpers/surveytranslator_helper.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
mod - application/models/QuestionAttribute.php Diff File
mod - application/models/Survey.php Diff File
mod - application/models/SurveyLanguageSetting.php Diff File
mod - application/models/Surveymenu.php Diff File
mod - application/models/SurveymenuEntries.php Diff File
mod - application/models/Template.php Diff File
mod - application/models/TemplateConfiguration.php Diff File
mod - application/models/TokenDynamic.php Diff File
mod - application/views/admin/emailtemplates/email_language_template_tab.php Diff File
mod - application/views/admin/global_settings/_email.php Diff File
mod - application/views/admin/super/layout_insurvey.php Diff File
mod - application/views/admin/survey/Question/editQuestion_view.php Diff File
mod - application/views/admin/survey/Question/question_subviews/_ajax_variables.php Diff File
mod - application/views/admin/survey/_activation_error.php Diff File
mod - application/views/admin/themeoptions/update.php Diff File
mod - application/views/admin/token/browse.php Diff File
mod - application/views/admin/token/emailpost.php Diff File
mod - application/views/admin/token/emailwarning.php Diff File
rm - application/views/survey/questions/answer/5pointchoice/answer.php Diff File
add - application/views/survey/questions/answer/5pointchoice/answer.twig Diff File
rm - application/views/survey/questions/answer/5pointchoice/rows/item_row.php Diff File
add - application/views/survey/questions/answer/5pointchoice/rows/item_row.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/othertext.php Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row_other.php Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic_slider.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/sliders/answer_row.twig Diff File
mod - assets/packages/limesurvey/survey.js Diff File
add - assets/packages/questions/5pointchoice/css/emoji.css Diff File
add - assets/packages/questions/5pointchoice/css/ss-emoji.css Diff File
add - assets/packages/questions/5pointchoice/fonts/noto_emoji_color.ttf Diff File
add - assets/packages/questions/5pointchoice/fonts/noto_emoji_regular.ttf Diff File
add - assets/packages/questions/5pointchoice/fonts/ss-emoji-adobe-mozilla.ttf Diff File
mod - assets/scripts/admin/questions.js Diff File
mod - assets/scripts/admin/tokens.js Diff File
mod - assets/scripts/multiplechoice_withcomments.js Diff File
mod - assets/scripts/survey_runtime.js Diff File
mod - docs/release_notes.txt Diff File
mod - framework/cli/views/webapp/protected/controllers/SiteController.php Diff File
mod - index.php Diff File
mod - locale/_template/limesurvey.pot Diff File
mod - locale/ca/ca.mo Diff File
mod - locale/da/da.mo Diff File
mod - locale/de-informal/de-informal.mo Diff File
mod - locale/de/de.mo Diff File
mod - locale/es/es.mo Diff File
mod - locale/hu/hu.mo Diff File
mod - locale/it-informal/it-informal.mo Diff File
mod - locale/it/it.mo Diff File
mod - locale/ja/ja.mo Diff File
mod - locale/ka/ka.mo Diff File
mod - locale/nb/nb.mo Diff File
mod - locale/nl-informal/nl-informal.mo Diff File
mod - locale/nl/nl.mo Diff File
mod - locale/nn/nn.mo Diff File
rm - locale/pap-AW/index.html Diff File
rm - locale/pap-AW/pap-AW.mo Diff File
mod - locale/pl/pl.mo Diff File
mod - locale/ro/ro.mo Diff File
add - tests/LimeSurveyWebDriver.php Diff File
mod - tests/TestBaseClass.php Diff File
mod - tests/TestBaseClassWeb.php Diff File
mod - tests/TestHelper.php Diff File
mod - tests/bootstrap.php Diff File
add - tests/data/surveys/limesurvey_survey_143933.lss Diff File
add - tests/surveys/LanguageChangerTest.php Diff File
mod - themes/question/ranking_advanced/survey/questions/answer/ranking/answer.twig Diff File
mod - themes/survey/bootswatch/options/options.twig Diff File
mod - themes/survey/bootswatch/scripts/theme.js Diff File
mod - themes/survey/fruity/options/options.twig Diff File
mod - themes/survey/vanilla/options/options.twig Diff File
mod - themes/survey/vanilla/scripts/theme.js Diff File
mod - themes/survey/vanilla/views/layout_user_forms.twig Diff File
mod - themes/survey/vanilla/views/subviews/content/load.twig Diff File
mod - themes/survey/vanilla/views/subviews/content/save.twig Diff File
add - themes/survey/vanilla/views/subviews/content/userforms.twig Diff File
add - themes/survey/vanilla/views/subviews/logincomponents/captcha.twig Diff File
add - themes/survey/vanilla/views/subviews/logincomponents/token.twig Diff File
mod - themes/survey/vanilla/views/subviews/navigation/language_changer_top_menu.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/printanswers_head.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/printanswers_question.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/printanswers_table.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_array-increase-same-decrease.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_array-yes-uncertain-no.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_boilerplate.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_gender.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_upload-files.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_yes-no.twig Diff File
mod - themes/survey/vanilla/views/subviews/registration/register_form.twig Diff File
mod - themes/survey/vanilla/views/subviews/registration/register_message.twig Diff File
mod - themes/survey/vanilla/views/subviews/registration/register_success.twig Diff File
mod - themes/survey/vanilla/views/subviews/registration/required.twig Diff File
mod - themes/survey/vanilla/views/subviews/survey/group_subviews/group_desc.twig Diff File
mod - themes/survey/vanilla/views/subviews/survey/group_subviews/group_name.twig Diff File
rm - upload/surveys/index.html Diff File
rm - upload/surveys/readme.txt Diff File
rm - upload/templates/index.html Diff File
rm - upload/templates/readme.txt Diff File
rm - upload/themes/question/index.html Diff File
rm - upload/themes/survey/index.html Diff File

Issue History

Date Modified Username Field Change
2017-03-29 23:32 jelo New Issue
2017-04-02 12:13 DenisChenu Note Added: 43365
2017-07-04 00:29 DenisChenu Note Added: 44018
2017-07-04 00:29 DenisChenu Assigned To => DenisChenu
2017-07-04 00:29 DenisChenu Status new => assigned
2017-07-04 00:37 DenisChenu Note Added: 44020
2018-01-17 10:19 Mazi Status assigned => feedback
2018-01-17 10:19 Mazi Note Added: 45853
2018-01-17 11:02 jelo Note Added: 45857
2018-01-17 11:02 jelo Status feedback => assigned
2018-01-17 11:06 DenisChenu Note Added: 45858
2018-01-17 11:07 DenisChenu Target Version => 3.0
2018-01-17 11:47 jelo File Added: 20180117.arraybycolumnunique_287834.lss
2018-01-17 11:47 jelo File Added: 20180117.arraybycolumnunique.PNG
2018-01-17 11:47 jelo Note Added: 45861
2018-01-17 15:49 DenisChenu Note Added: 45868
2018-01-19 10:17 ShnoulleT Changeset attached => LimeSurvey master ea543a5d
2018-01-19 10:17 ShnoulleT Note Added: 45911
2018-01-19 10:17 ShnoulleT Assigned To DenisChenu => ShnoulleT
2018-01-19 10:17 ShnoulleT Resolution open => fixed
2018-01-30 14:57 DenisChenu Changeset attached => LimeSurvey master abef4c6f
2018-01-30 14:57 DenisChenu Note Added: 46156
2018-01-30 14:57 DenisChenu Assigned To ShnoulleT => DenisChenu
2018-02-01 16:32 DenisChenu Relationship added related to 13288
2018-02-01 18:10 DenisChenu Status assigned => resolved
2018-02-01 18:10 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed